[riot-notifications] [RIOT-OS/RIOT] Fix LESS compilation errors when running `make doc` on macOS (#10168)

Martine Lenders notifications at github.com
Tue Jul 30 20:35:30 CEST 2019


miri64 commented on this pull request.



>    endif
 endif
 
+SED=sed
+UNAME := $(shell uname -s)
+ifneq (,$(LESSC))
+    ifeq ($(UNAME),Darwin)
+        ifneq (,$(shell command -v gsed 2>/dev/null))
+            SED=gsed
+        else
+            $(error The version of sed that ships with macOS is very old, so you need gnu-sed. \

`unset LESSC` was not included in the latest fix.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/RIOT-OS/RIOT/pull/10168#discussion_r308878873
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.riot-os.org/pipermail/notifications/attachments/20190730/36e2e2a7/attachment.htm>


More information about the notifications mailing list